import { defineComponent as s, toRefs as l, openBlock as _, createElementBlock as a, createElementVNode as n, createVNode as t, unref as o, pushScopeId as d, popScopeId as f } from "vue";
import m from "./images/totitle.mjs";
import c from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const g = (e) => (d("data-v-526449e4"), e = e(), f(), e), u = { class: "title02" }, h = { class: "second" }, x = /* @__PURE__ */ g(() => /* @__PURE__ */ n("img", {
  src: m,
  class: "xhx"
}, null, -1)), C = s({ name: "ETitle03" }), k = /* @__PURE__ */ s({
  ...C,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(e) {
    const i = e, { titleConfig: r, imageConfig: p } = l(i.chartConfig.option);
    return (v, y) => (_(), a("div", u, [
      n("div", h, [
        t(c, {
          class: "second_img",
          config: o(p),
          type: "img"
        }, null, 8, ["config"]),
        t(c, {
          class: "second_title",
          config: o(r),
          type: "text"
        }, null, 8, ["config"])
      ]),
      x
    ]));
  }
});
export {
  k as default
};
